

filenamepoints = 'witness_points_fiber';
filenameoutput = 'fiber_points.';


B = importdata('incidence_matrix');
B = B(5:end,1);
A = transpose(reshape(B,8,288));


clc;


% Determine number of coordinates
fprintf(['Using file: ', filenamepoints,'\n']);
fileIn = fopen(filenamepoints,'r');
textline = fgetl(fileIn);
fprintf(['Found ',textline,' \npoints in ']);
textline = fgetl(fileIn);
numcoords = -1;
while(strcmp(textline,'')==0 || numcoords==-1)
  textline = fgetl(fileIn);
  numcoords = numcoords + 1;
end;
fclose(fileIn);

fprintf([num2str(numcoords), ' coordinates.\n']);
fprintf(['Matrix has ',num2str(size(A,1)),' points in ',num2str(size(A,2)),' groups.\n']);
columnsums = sum(A);
fprintf('Column sums:\n');
disp(columnsums)

for groupfile=1:size(A,2)
  fprintf(['Copying points to file ',num2str(groupfile),' of ',num2str(size(A,2)),'\n']);
  fileIn = fopen(filenamepoints,'r');
  textline = fgetl(fileIn);
  fileOut = fopen([filenameoutput,num2str(groupfile)],'w');
  fprintf(fileOut,[num2str(columnsums(groupfile)),'\n']);
  for pointnum=1:size(A,1)
    for group=1:size(A,2)
      if A(pointnum,group)==1      
        break;
      end;
    end;
    %fprintf(['Point ',num2str(pointnum),' belongs to group ',num2str(group),'\n']);
    % Read the point from input file
    for loadline=1:numcoords+1
      textline = fgetl(fileIn);
      if group == groupfile
        fprintf(fileOut,[textline,'\n']);
      end;
    end;
  end;
  fclose(fileIn);
  fclose(fileOut);  
end;

fprintf('Finished.\n\n');
